summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Steven Voges <svoges.sbo@gmail.com>2023-01-31 20:00:49 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-02-04 07:20:01 +0700
commit2d3c12cf157fb8cb8f4ff268057ad2cc60e8dc09 (patch)
tree20491df972987c1cf2383e65ff50b2f7f771028f
parent12ca9ca676313e6551973b4ccf91437b03910364 (diff)
downloadslackbuilds-2d3c12cf157fb8cb8f4ff268057ad2cc60e8dc09.tar.gz
slackbuilds-2d3c12cf157fb8cb8f4ff268057ad2cc60e8dc09.tar.xz
libraries/qt6: Updated for version 6.4.2.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/qt6/README6
-rw-r--r--libraries/qt6/qt6.SlackBuild18
-rw-r--r--libraries/qt6/qt6.info6
3 files changed, 20 insertions, 10 deletions
diff --git a/libraries/qt6/README b/libraries/qt6/README
index d235fa378c..b73df851a7 100644
--- a/libraries/qt6/README
+++ b/libraries/qt6/README
@@ -31,3 +31,9 @@ against optional dependencies.
Qt6 will autodetect and build against multiple external programs and
libraries. To see a list of optional dependencies, please consult
README.SLACKWARE
+
+Qt6 can take substantial time to build and ninja automatically uses
+all of your cpus power to speed up this process: if for some reason
+this ends up trashing the machine on which you are building it you
+can export the environment variable CMAKE_BUILD_PARALLEL_LEVEL to
+set an appropriate number of parallel jobs.
diff --git a/libraries/qt6/qt6.SlackBuild b/libraries/qt6/qt6.SlackBuild
index 52e39a7501..1343d547b8 100644
--- a/libraries/qt6/qt6.SlackBuild
+++ b/libraries/qt6/qt6.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for qt6
-# Copyright 2022 Steven Voges <Oregon, USA>
+# Copyright 2022-2023 Steven Voges <Oregon, USA>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=qt6
SRCNAM=qt-everywhere-src
-VERSION=${VERSION:-6.4.0}
+VERSION=${VERSION:-6.4.2}
BSCLANG=libclang-release_130-based-linux-Ubuntu20.04-gcc9.3-x86_64
CCACHE=${CCACHE:-OFF}
EXAMPLES=${EXAMPLES:-OFF}
@@ -119,12 +119,16 @@ cd build
-DQT_BUILD_EXAMPLES=$EXAMPLES \
-DQT_USE_CCACHE=$CCACHE \
-DCMAKE_BUILD_TYPE=Release ..
- cmake --build . --parallel
+ cmake --build .
DESTDIR=$PKG cmake --install . --strip
cd ..
-mv $PKG/usr/phrasebooks $PKG/usr/share/$PRGNAM/
-# mv $PKG/usr/resources $PKG/usr/share/$PRGNAM/
+if [ -d "$PKG/usr/phrasebooks" ]; then
+ mv $PKG/usr/phrasebooks $PKG/usr/share/$PRGNAM/
+fi
+if [ -d "$PKG/usr/resources" ]; then
+ mv $PKG/usr/resources $PKG/usr/share/$PRGNAM/
+fi
if [ "$EXAMPLES" = "ON" ]; then
find -L $PKG/usr/doc/$PRGNAM-$VERSION/examples \
@@ -141,10 +145,10 @@ for i in $CWD/desktop/*.desktop; do
done
sed -i "s|@LIBDIR@|$LIBDIRSUFFIX|" $PKG/usr/share/applications/*
-# Install symlinks to the Qt6 binaries in the $PATH (avoid the ones already ending in "6"):
+# Install symlinks to the Qt6 binaries in the $PATH (avoid the ones already ending in "6" or "cmake"):
mkdir -p $PKG/usr/bin
for FILE in $PKG/usr/lib${LIBDIRSUFFIX}/qt6/bin/* ; do
- if ! [[ $FILE =~ 6$ ]]; then
+ if ! [[ $FILE =~ (6$|cmake$) ]]; then
ln -s ../lib${LIBDIRSUFFIX}/qt6/bin/$(basename $FILE) $PKG/usr/bin/$(basename $FILE)-qt6
fi
done
diff --git a/libraries/qt6/qt6.info b/libraries/qt6/qt6.info
index f582e159d1..8dd590ffc1 100644
--- a/libraries/qt6/qt6.info
+++ b/libraries/qt6/qt6.info
@@ -1,11 +1,11 @@
PRGNAM="qt6"
-VERSION="6.4.0"
+VERSION="6.4.2"
HOMEPAGE="https://qt.io"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://download.qt.io/official_releases/qt/6.4/6.4.0/single/qt-everywhere-src-6.4.0.tar.xz \
+DOWNLOAD_x86_64="https://download.qt.io/official_releases/qt/6.4/6.4.2/single/qt-everywhere-src-6.4.2.tar.xz \
https://download.qt.io/development_releases/prebuilt/libclang/libclang-release_130-based-linux-Ubuntu20.04-gcc9.3-x86_64.7z"
-MD5SUM_x86_64="b45c32495e87cffa4739b24b5d062c50 \
+MD5SUM_x86_64="15e2530292b65a2b3dc23fc03f140796 \
1eb94ba35df4aa217cf485086215182a"
REQUIRES="double-conversion html5lib md4c nodejs p7zip"
MAINTAINER="Steven Voges"